Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Mar 2021 22:43:26 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 25 Mar 2021 20:24:12 +0000
> 
> >> The only non trivial part here is to identify at compile time if a file
> >> will be preloaded or not (so we can output it in the preloaded
> >> directory).
> >> 
> >> Any obvious suggestion here before I start hacking the build system?
> >
> > Why does it have to be the build system?  dump-emacs-portable is an
> > Emacs function, it doesn't use any of the build machinery.
> 
> If we want to have the eln files dumped into the "preloaded" subfolder
> we need to know where to output when they are compiled, so before
> `dump-emacs-portable' is called.

Ah, I see now.  The list of the files that could be preloaded is in
$shortlisp, see src/Makefile.in.  The file names are read from
src/lisp.mk.